curl --request GET \
--url 'https://api.stateset.com/api/v1/quality/inspections' \
--header 'Authorization: Bearer YOUR_API_KEY'
{
"has_more": true,
"inspections": [
{
"created_at": "string",
"id": "string",
"inspection_number": "string",
"inspection_type": "string",
"notes": null,
"reference_id": "string",
"reference_type": "string",
"status": "string"
}
],
"next_cursor": null,
"total": 1
}
List inspections
List inspections
GET
/
api
/
v1
/
quality
/
inspections
curl --request GET \
--url 'https://api.stateset.com/api/v1/quality/inspections' \
--header 'Authorization: Bearer YOUR_API_KEY'
{
"has_more": true,
"inspections": [
{
"created_at": "string",
"id": "string",
"inspection_number": "string",
"inspection_type": "string",
"notes": null,
"reference_id": "string",
"reference_type": "string",
"status": "string"
}
],
"next_cursor": null,
"total": 1
}
Query parameters
string
string
string
integer (int32)
integer (int32)
string
Cursor for keyset pagination (opaque token from
next_cursor).Responses
InspectionListResponse
curl --request GET \
--url 'https://api.stateset.com/api/v1/quality/inspections' \
--header 'Authorization: Bearer YOUR_API_KEY'
{
"has_more": true,
"inspections": [
{
"created_at": "string",
"id": "string",
"inspection_number": "string",
"inspection_type": "string",
"notes": null,
"reference_id": "string",
"reference_type": "string",
"status": "string"
}
],
"next_cursor": null,
"total": 1
}
โI